Subject: Re: bug#17231: [PATCH] term.el: unreliable directory tracking

From: Noam Postavsky <[email-masked]>
Date: Thu, 18 Jan 2018 22:30:14 -0500

tags 17231 fixed
close 17231 26.1
quit

Noam Postavsky <[email-masked]> writes:

> The patch looks okay to me.  It's a bit unfortunate that it adds yet
> another way to store partial strings; I have a patch which fixes things
> in a more unified way, but my patch rewrites too much to go on the
> release branch.
>
> So I think it would be nice if this patch could go to emacs-26.

Pushed to emacs-26 [1: 5472568a3c], and some tests in a followup commit
[2: 1d50c185f0].  I pushed my more invasive patch to master [3:
47019a521f].

[1: 5472568a3c]: 2018-01-18 22:17:07 -0500
  Handle split AnSiT messages for term.el (Bug#17231)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=5472568a3c2338856d25380012ee4398e024c806

[2: 1d50c185f0]: 2018-01-18 22:17:40 -0500
  Add tests for term.el
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1d50c185f0c857bb1a85945314b522540071f796

[3: 47019a521f]: 2018-01-18 22:25:35 -0500
  Switch term.el to lexical binding, and clean up code a bit
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=47019a521f774fbd13441e178a6a82c9989b9912